*描述性统计
logout, save("C:\Users\78102\Desktop\新建文件夹\描述性统计") word replace: tabstat Shallowr EPU Oper  Lev lnSize As Roa Cf Fix  Finr R_gap Sd_gap GDP M2 , stats(N mean sd min p50 max) f(%10.3f) c(s) 

foreach i in   Finr Oper  Shallowr  Lev  Roa As Fix Cf GDP M2  {
  replace `i'=`i'*100
}
global CV Lev lnSize Roa As  Fix Finr  Cf Sd_gap  R_gap

*基准回归

qui xi:xtreg Shallowr EPU   if year<2008  ,fe r
est store z1
qui xi:xtreg Shallowr EPU $CV  if year<2008  ,fe r
est store z2
qui xi:xtreg Shallowr EPU $CV GDP  M2  if year<2008  ,fe r
est store z3
qui xi:xtreg Shallowr EPU  if year>2007,fe r
est store z4
qui xi:xtreg Shallowr EPU $CV  if year>2007 ,fe r
est store z5
qui xi:xtreg Shallowr EPU $CV GDP  M2  if year>2007 ,fe r
est store z6
esttab z* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 


*稳健性检验1——重新计算EPU年度指数

xtset stkcd year
qui xi:xtreg Shallowr lnBCEPU78 $CV GDP  M2  if year<2008  ,fe r
est store t1
qui xi:xtreg Shallowr  lnBCEPU78 $CV GDP M2  if year>2007 ,fe r
est store t2

*稳健性检验2——考虑效应时滞
xtreg Shallowr l.EPU l.Lev l.lnSize l.Roa l.As  l.Fix l.Finr l.Cf l.Sd_gap  l.R_gap l.GDP  l.M2  if year<2008  ,fe r
est store t3
xtreg Shallowr l.EPU l.Lev l.lnSize l.Roa l.As  l.Fix l.Finr l.Cf l.Sd_gap  l.R_gap l.GDP  l.M2  if year>2007  ,fe r
est store t4
esttab t* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 


xtset stkcd year
*内生性问题1——引入被解释变量滞后一期

qui xi:xtreg Shallowr l.Shallowr EPU $CV GDP  M2  if year<2008  ,fe r
est store r1
qui xi:xtreg Shallowr l.Shallowr EPU $CV GDP  M2  if year>2007 ,fe r
est store r2

*内生性问题2——引入工具变量

qui xi:xtivreg2 Shallowr  (EPU = lnMAEPU1) $CV GDP  M2  if year<2008  ,fe gmm r
est store r3
qui xi:xtivreg2 Shallowr  (EPU = lnMAEPU1) $CV GDP  M2  if year>2007 ,fe gmm r
est store r4
esttab r* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 



*运营资产的中介机制
qui xi:xtreg Oper EPU $CV GDP  M2  ,fe r
est store v1
qui xi:xtreg Shallowr  Oper $CV i.year  if year<2008  ,fe r
est store v2
qui xi:xtreg Shallowr  Oper $CV i.year if year>2007 ,fe r
est store v3
esttab v* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap indicate( "year=*year*") 

*经济金融化程度的调节效应
replace Fe=Fe*100
center Fe EPU
gen Fe_EPU=c_Fe*c_EPU
xtreg Shallowr c_Fe c_EPU Fe_EPU $CV GDP  M2  if year<2008,fe r
est store j1
xtreg Shallowr c_Fe c_EPU Fe_EPU $CV GDP  M2  if year>2007,fe r
est store j2
esttab j* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 


xtset stkcd year

*贷款与EPU交乘
*gen loan1_EPU=loan1*lEPU

*融资约束SA与EPU交乘
*gen Fc_EPU=Fc*EPU

*经济过度金融化形成后，是否处于融资优势对企业影子银行的影响
qui xi:xtreg Shallowr EPU   $CV GDP M2  if Fc==1 & year>2007 ,fe r
est store p1
qui xi:xtreg Shallowr EPU   $CV GDP  M2  if Fc==0 & year>2007,fe r
est store p2
qui xi:xtreg Shallowr EPU Fc Fc_EPU  $CV GDP  M2  if year>2007,fe r
est store p3
qui xi:xtreg Shallowr EPU   $CV GDP  M2  if loan1==0 & year>2007,fe r
est store p4
qui xi:xtreg Shallowr EPU   $CV GDP  M2  if loan1==1 & year>2007 ,fe r
est store p5
qui xi:xtreg Shallowr EPU loan1 loan1_EPU  $CV GDP  M2  if year>2007,fe r
est store p6
esttab p* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 



*主营业务收益率与EPU交乘
*gen Rj1_EPU=Rj1*EPU
*是否正常上市与EPU交乘
*gen nomal_EPU=nomal*EPU

*经济过度金融化形成后，是否处于经营劣势对企业影子银行的影响
qui xi:xtreg Shallowr EPU   $CV  GDP  M2  if nomal==1& year>2007 ,fe r
est store k1
qui xi:xtreg Shallowr EPU   $CV GDP  M2 if nomal==0 & year>2007,fe r
est store k2
qui xi:xtreg Shallowr EPU nomal nomal_EPU  $CV GDP  M2  if year>2007,fe r
est store k3
qui xi:xtreg Shallowr EPU   $CV  GDP  M2  if Rj1==1& year>2007 ,fe r
est store k4
qui xi:xtreg Shallowr EPU   $CV GDP  M2 if Rj1==0 & year>2007,fe r
est store k5
qui xi:xtreg Shallowr EPU Rj1 Rj1_EPU  $CV GDP  M2  if year>2007,fe r
est store k6
esttab k* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 

*去除个体效应
bysort stkcd: center Shallowr , prefix (cy)
bysort stkcd: center Lev , prefix (cx)
bysort stkcd: center lnSize, prefix (cx)
bysort stkcd: center Roa , prefix (cx)
bysort stkcd: center As , prefix (cx)
bysort stkcd: center  Fix , prefix (cx)
bysort stkcd: center Finr , prefix (cx)
bysort stkcd: center Cf , prefix (cx)
bysort stkcd: center Sd_gap , prefix (cx)
bysort stkcd: center R_gap , prefix (cx)
bysort stkcd: center EPU , prefix (cx)
bysort stkcd: center M2 , prefix (cx)
bysort stkcd: center GDP , prefix (cx)


*组间系数差异检验——基于似无相关的SUR检验
reg cy   cx*  if Rj1==0 & year>2007
est store h1
reg cy    cx*  if  Rj1==1 & year>2007
est store h2
suest h1 h2
test [h1_mean]cxEPU = [h2_mean]cxEPU





*融资优势与经营劣势的叠加影响

qui xi:xtreg Shallowr EPU   $CV  GDP  M2  if Fc==0 & Rj1==0 & year>2007 ,fe r
est store g1
qui xi:xtreg Shallowr EPU  $CV  GDP  M2  if Fc==0 & Rj1==1 & year>2007 ,fe r
est store g2
qui xi:xtreg Shallowr EPU  $CV GDP  M2 if Fc==1 & Rj1==0 & year>2007,fe r
est store g3
qui xi:xtreg Shallowr EPU   $CV GDP  M2 if Fc==1 & Rj1==1 & year>2007,fe r
est store g4
qui xi:esttab g* , replace b(4) t(4) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 
esttab g* , replace b(3) t(3) ar2 scalar(F)  star(* 0.1 ** 0.05 *** 0.01) nogap 



*基于似无相关的SUR检验

qui xi:reg cy  cx*  if Fc==0 & Rj1==0 & year>2007
est store h1
qui xi:reg cy  cx*   if Fc==0 & Rj1==1 & year>2007
est store h2
qui xi:reg cy   cx*   if Fc==1 & Rj1==0 & year>2007  
est store h3
qui xi:reg cy   cx*   if Fc==1 & Rj1==1 & year>2007 
est store h4

suest h1 h2 h3 h4
test [h1_mean]cxEPU = [h2_mean]cxEPU = [h3_mean]cxEPU = [h4_mean]cxEPU







